Bug 603119 - qpid shared-object libraries must have their versions bumped
Summary: qpid shared-object libraries must have their versions bumped
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: distribution   
(Show other bugs)
Version: Development
Hardware: All
OS: Linux
high
high
Target Milestone: 1.3
: ---
Assignee: Mike Cressman
QA Contact: Jan Sarenik
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 602271
TreeView+ depends on / blocked
 
Reported: 2010-06-11 15:16 UTC by Ted Ross
Modified: 2010-10-20 11:28 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-20 11:28:47 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ted Ross 2010-06-11 15:16:24 UTC
Description of problem:

The versions of all the qpid shared-object libraries need to be incremented appropriately to avoid linking/ABI problems in client applications.

Comment 1 Mike Cressman 2010-06-18 18:42:48 UTC
Makefiles upstream were modified to take arguments during the build to specify the library revisions.  The product builds were modified to specify the library revision numbers, with the major number set to one higher than before.

Makefile updates checked in upstream in r955672 and r956001.

Product builds updated for:
qpid-cpp-mrg-0.7.946106-4.el4
qpid-cpp-mrg-0.7.946106-4.el5
qpid-cpp-0.7.946106-3.el6

Comment 2 Jan Sarenik 2010-06-21 12:35:01 UTC
# ls /usr/lib64/libqpidclient.so*
/usr/lib64/libqpidclient.so.0  /usr/lib64/libqpidclient.so.0.1.0
# rpm -q qpidc
qpidc-0.5.752581-34.el5

# ls /usr/lib64/libqpidclient.so*
/usr/lib64/libqpidclient.so.3  /usr/lib64/libqpidclient.so.3.0.0
# rpm -q qpid-cpp-client
qpid-cpp-client-0.7.946106-4.el5

Verified also the source code changes.

Comment 3 Jan Sarenik 2010-06-23 07:44:52 UTC
# ls -l /usr/lib64/libqmfconsole*
lrwxrwxrwx 1 root root     22 Jun 23 09:42 /usr/lib64/libqmfconsole.so -> libqmfconsole.so.3.0.0
lrwxrwxrwx 1 root root     22 Jun 23 09:42 /usr/lib64/libqmfconsole.so.3 -> libqmfconsole.so.3.0.0
-rwxr-xr-x 1 root root 322424 Jun 18 18:03 /usr/lib64/libqmfconsole.so.3.0.0

# rpm -qf /usr/lib64/libqmfconsole.so.3.0.0
qmf-0.7.946106-4.el5


Note You need to log in before you can comment on or make changes to this bug.